> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Controllers / Configurations / Update

> Changes a single OCPP configuration value of a controller. Required permission: control:controllers:configurations:update



## OpenAPI

````yaml /api/core-api/crmiapi.json put /api/v1/control/controllers/{controller_uuid}/configurations/{key}
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.125.0
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/control/controllers/{controller_uuid}/configurations/{key}:
    put:
      tags:
        - Controllers
      summary: Controllers / Configurations / Update
      description: >-
        Changes a single OCPP configuration value of a controller. Required
        permission: control:controllers:configurations:update
      operationId: /api/v1/control/controllers/{controller_uuid}/configurations/{key}_PUT
      parameters:
        - name: controller_uuid
          in: path
          description: UUID of the controller
          required: true
          schema:
            type: string
            pattern: >-
              ^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$
            description: UUID of the controller
        - name: key
          in: path
          description: OCPP configuration key to update
          required: true
          schema:
            type: string
            description: OCPP configuration key to update
      requestBody:
        description: >-
          Changes a single OCPP configuration value of a controller. Required
          permission: control:controllers:configurations:update
        content:
          application/json:
            schema:
              type: object
              required:
                - value
              properties:
                value:
                  type: string
                  minLength: 1
                  description: New value for the OCPP configuration key
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - Accepted
                      - Rejected
                      - RebootRequired
                      - NotSupported
                    description: >-
                      OCPP change-configuration status returned by the
                      controller
          description: OCPP change-configuration response from the controller
        '400':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Bad request
        '401':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Not found
        '405':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Method not allowed
        '422':
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
          description: Request validation failed
        '429':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Too many requests
        '500':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Internal server error
      security:
        - bearer:
            - control:controllers
components:
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Updates a controller](/api-reference/controllers/updates-a-controller.md)
- [Controllers / Configurations / List](/api-reference/controllers/controllers-configurations-list.md)
- [Creates a controller](/api-reference/controllers/creates-a-controller.md)
